Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.validation
Class AbstractVetoingConstraint

    java.lang.Object
      org.codehaus.groovy.grails.validation.AbstractConstraint
          org.codehaus.groovy.grails.validation.AbstractVetoingConstraint

All Implemented Interfaces:
  Constraint, VetoingConstraint

Direct Known Subclasses:
  BlankConstraint, NullableConstraint

    public abstract class AbstractVetoingConstraint

extends AbstractConstraint
implements VetoingConstraint

TODO: write javadoc

Author:
  Sergey Nebolsin ()

Field Summary

Fields inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`classShortName, constraintOwningClass, constraintParameter, constraintPropertyName, messageSource`

Constructor Summary
`AbstractVetoingConstraint()`

Method Summary
`protected void` | `processValidate(Object target, Object propertyValue, Errors errors)`
`protected abstract boolean` | `processValidateWithVetoing(Object target, Object propertyValue, Errors errors)`
`boolean` | `validateWithVetoing(Object target, Object propertyValue, Errors errors)`

Methods inherited from class org.codehaus.groovy.grails.validation.AbstractConstraint
`checkState, getDefaultMessage, getPropertyName, rejectValue, rejectValue, rejectValue, rejectValue, rejectValue, rejectValueWithDefaultMessage, setMessageSource, setOwningClass, setParameter, setPropertyName, skipNullValues, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.validation.Constraint
`getName, getPropertyName, setMessageSource, setOwningClass, setParameter, setPropertyName, supports, validate`

Constructor Detail

### AbstractVetoingConstraint

    public AbstractVetoingConstraint()

Method Detail

### validateWithVetoing

    public boolean validateWithVetoing(Object target,
                                       Object propertyValue,
                                       Errors errors)

  Specified by:
    `validateWithVetoing` in interface `VetoingConstraint`

### processValidate

    protected void processValidate(Object target,
                                   Object propertyValue,
                                   Errors errors)

  Specified by:
    `processValidate` in class `AbstractConstraint`

### processValidateWithVetoing

    protected abstract boolean processValidateWithVetoing(Object target,
                                                          Object propertyValue,
                                                          Errors errors)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project